com.thinkaurelius.titan.graphdb.database.serialize

## Class AttributeUtil

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.database.serialize.AttributeUtil

-     public class AttributeUtil
      extends Object

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Integer` | `compare(Object a, Object b)` Compares the two elements like `Comparator.compare(Object, Object)` but returns null in case the two elements are not comparable.
    `static boolean` | `hasGenericDataType(PropertyKey key)`
    `static boolean` | `isDecimal(Class<?> clazz)`
    `static boolean` | `isDecimal(Number n)`
    `static boolean` | `isString(Class<?> clazz)`
    `static boolean` | `isString(Object o)`
    `static boolean` | `isWholeNumber(Class<?> clazz)`
    `static boolean` | `isWholeNumber(Number n)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeUtil

          public AttributeUtil()

  - ### Method Detail

    - #### isWholeNumber

          public static final boolean isWholeNumber(Number n)

    - #### isDecimal

          public static final boolean isDecimal(Number n)

    - #### isWholeNumber

          public static final boolean isWholeNumber(Class<?> clazz)

    - #### isDecimal

          public static final boolean isDecimal(Class<?> clazz)

    - #### isString

          public static final boolean isString(Object o)

    - #### isString

          public static final boolean isString(Class<?> clazz)

    - #### compare

          public static final Integer compare(Object a,
                        Object b)

      Compares the two elements like `Comparator.compare(Object, Object)` but returns null in case the two elements are not comparable.
      Parameters:
        `a` -
        `b` -
      Returns:

    - #### hasGenericDataType

          public static boolean hasGenericDataType(PropertyKey key)

Copyright © 2012–2014. All rights reserved.